// WARNING! All changes made in this file will be lost!
// Created from 'info.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

#include "styles/style_widgets.h"

namespace style {
namespace internal {

void init_style_info(int scale);

} // namespace internal

struct Checkbox;
struct SearchFieldRow;
struct IconButton;
struct FlatLabel;
struct InfoTopBar;
struct SettingsSlider;
struct UserpicButton;
struct FeedUserpicButton;
struct Toggle;
struct SettingsButton;
struct PeerList;
struct InputField;
struct CrossButton;
struct TextStyle;
struct PeerListItem;
struct SettingsCountButton;
struct LinkButton;
struct RoundButton;
struct InfiniteRadialAnimation;
struct FlatInput;
struct GroupCallUserpics;
struct ScrollArea;

struct InfoToggle {
	style::color color;
	int duration;
	int size;
	int skip;
	int stroke;
	int rippleAreaPadding;
};

struct ShortInfoCover {
	int size;
	int radius;
	style::FlatLabel name;
	style::point namePosition;
	style::FlatLabel status;
	style::point statusPosition;
	int linePadding;
	int lineSkip;
	int line;
	int shadowHeight;
	style::InfiniteRadialAnimation radialAnimation;
};

} // namespace style

namespace st {
extern const style::color &infoMediaHeaderFg;
extern const style::Checkbox &infoToggleCheckbox;
extern const style::InfoToggle &infoToggle;
extern const style::SearchFieldRow &infoMediaSearch;
extern const style::SearchFieldRow &infoLayerMediaSearch;
extern const style::SearchFieldRow &infoTopBarSearchRow;
extern const int &infoSlideDuration;
extern const style::icon &infoTopBarBackIcon;
extern const style::icon &infoTopBarBackIconOver;
extern const int &infoTopBarHeight;
extern const style::IconButton &infoTopBarBack;
extern const style::FlatLabel &infoTopBarTitle;
extern const style::IconButton &infoTopBarMediaCancel;
extern const style::IconButton &infoTopBarClose;
extern const style::IconButton &infoTopBarSearch;
extern const style::IconButton &infoTopBarMenu;
extern const style::IconButton &infoTopBarCall;
extern const style::IconButton &infoTopBarForward;
extern const style::IconButton &infoTopBarDelete;
extern const style::InfoTopBar &infoTopBar;
extern const double &infoTopBarScale;
extern const int &infoTopBarDuration;
extern const int &infoLayerTopMinimal;
extern const int &infoLayerTopMaximal;
extern const int &infoLayerTopBarHeight;
extern const style::icon &infoLayerTopBarBackIcon;
extern const style::icon &infoLayerTopBarBackIconOver;
extern const style::IconButton &infoLayerTopBarBack;
extern const style::IconButton &infoLayerTopBarMediaCancel;
extern const style::IconButton &infoLayerTopBarClose;
extern const style::IconButton &infoLayerTopBarMenu;
extern const style::IconButton &infoLayerTopBarCall;
extern const style::IconButton &infoLayerTopBarForward;
extern const style::IconButton &infoLayerTopBarDelete;
extern const style::InfoTopBar &infoLayerTopBar;
extern const style::point &infoTopBarMenuPosition;
extern const style::point &infoLayerTopBarMenuPosition;
extern const int &infoMinimalWidth;
extern const int &infoDesiredWidth;
extern const int &infoMinimalLayerMargin;
extern const style::SettingsSlider &infoTabs;
extern const int &infoProfilePhotoInnerSize;
extern const style::size &infoProfilePhotoSize;
extern const style::UserpicButton &infoProfilePhoto;
extern const style::FeedUserpicButton &infoFeedProfilePhoto;
extern const int &infoProfilePhotoLeft;
extern const int &infoProfilePhotoTop;
extern const int &infoProfilePhotoBottom;
extern const int &infoProfileStatusLeft;
extern const int &infoProfileStatusRight;
extern const int &infoProfileStatusTop;
extern const style::FlatLabel &infoProfileStatusLabel;
extern const style::FlatLabel &infoProfileMegagroupStatusLabel;
extern const int &infoProfileNameLeft;
extern const int &infoProfileNameRight;
extern const int &infoProfileNameTop;
extern const style::FlatLabel &infoProfileNameLabel;
extern const style::point &infoVerifiedCheckPosition;
extern const style::icon &infoVerifiedCheck;
extern const int &infoProfileSkip;
extern const style::margins &infoProfileLabeledPadding;
extern const style::margins &infoProfileSeparatorPadding;
extern const style::color &infoIconFg;
extern const style::icon &infoIconInformation;
extern const style::icon &infoIconRequests;
extern const style::icon &infoIconNotifications;
extern const style::icon &infoIconMediaPhoto;
extern const style::icon &infoIconMediaVideo;
extern const style::icon &infoIconMediaGif;
extern const style::icon &infoIconMediaFile;
extern const style::icon &infoIconMediaAudio;
extern const style::icon &infoIconMediaLink;
extern const style::icon &infoIconMediaGroup;
extern const style::icon &infoIconMediaVoice;
extern const style::icon &infoIconMediaRound;
extern const style::icon &infoIconRecentActions;
extern const style::icon &infoIconAdministrators;
extern const style::icon &infoIconInviteLinks;
extern const style::icon &infoIconReactions;
extern const style::icon &infoIconGroupType;
extern const style::icon &infoIconSignature;
extern const style::icon &infoIconShare;
extern const style::icon &infoIconEdit;
extern const style::icon &infoIconDelete;
extern const style::icon &infoIconReport;
extern const style::icon &infoIconLeave;
extern const style::icon &infoIconBlock;
extern const style::icon &infoIconMembers;
extern const style::point &infoInformationIconPosition;
extern const style::point &infoNotificationsIconPosition;
extern const style::point &infoSharedMediaIconPosition;
extern const style::point &infoSharedMediaButtonIconPosition;
extern const style::point &infoGroupMembersIconPosition;
extern const style::point &infoChannelMembersIconPosition;
extern const style::FlatLabel &infoLabeledOneLine;
extern const int &infoLabelSkip;
extern const style::FlatLabel &infoLabel;
extern const style::FlatLabel &infoLabeled;
extern const style::FlatLabel &infoBlockHeaderLabel;
extern const style::point &infoBlockHeaderPosition;
extern const style::Toggle &infoProfileToggle;
extern const style::Toggle &infoProfileToggleOver;
extern const style::SettingsButton &infoProfileButton;
extern const style::SettingsButton &infoNotificationsButton;
extern const style::SettingsButton &infoMainButton;
extern const int &infoSharedMediaCoverHeight;
extern const style::SettingsButton &infoSharedMediaButton;
extern const int &infoSharedMediaBottomSkip;
extern const style::SettingsButton &infoBlockButton;
extern const style::SettingsButton &infoCreateLinkedChatButton;
extern const style::SettingsButton &infoUnlinkChatButton;
extern const int &infoBlockButtonSkip;
extern const int &infoMembersHeader;
extern const int &infoMembersHeaderPaddingBottom;
extern const style::PeerList &infoMembersList;
extern const style::point &infoMembersButtonPosition;
extern const style::point &infoMembersButtonIconPosition;
extern const style::IconButton &infoMembersButton;
extern const style::IconButton &infoMembersAddMember;
extern const style::IconButton &infoMembersSearch;
extern const style::InputField &infoMembersSearchField;
extern const style::CrossButton &infoMembersCancelSearch;
extern const int &infoMembersSearchTop;
extern const style::IconButton &infoChannelsAddChannel;
extern const style::icon &infoMembersCreatorIcon;
extern const style::icon &infoMembersCreatorIconOver;
extern const style::icon &infoMembersAdminIcon;
extern const style::icon &infoMembersAdminIconOver;
extern const style::icon &infoMembersRemoveIcon;
extern const style::icon &infoMembersRemoveIconOver;
extern const style::margins &infoMembersAdminIconMarigns;
extern const style::margins &infoMembersRemoveIconMargins;
extern const style::TextStyle &infoMediaHeaderStyle;
extern const int &infoMediaHeaderHeight;
extern const style::point &infoMediaHeaderPosition;
extern const int &infoMediaSkip;
extern const style::margins &infoMediaMargin;
extern const int &infoMediaMinGridSize;
extern const style::margins &infoCommonGroupsMargin;
extern const style::PeerListItem &infoCommonGroupsListItem;
extern const style::PeerList &infoCommonGroupsList;
extern const style::PeerList &infoChannelsList;
extern const style::SettingsCountButton &managePeerButton;
extern const style::SettingsCountButton &peerPermissionsButton;
extern const style::SettingsCountButton &manageGroupButton;
extern const style::SettingsCountButton &manageGroupTopButtonWithText;
extern const style::SettingsCountButton &manageDeleteGroupButton;
extern const int &editPeerSkip;
extern const style::margins &editPeerHistoryVisibilityMargins;
extern const style::color &infoEmptyFg;
extern const style::icon &infoEmptyPhoto;
extern const style::icon &infoEmptyVideo;
extern const style::icon &infoEmptyAudio;
extern const style::icon &infoEmptyFile;
extern const style::icon &infoEmptyVoice;
extern const style::icon &infoEmptyLink;
extern const int &infoEmptyIconTop;
extern const int &infoEmptyLabelTop;
extern const int &infoEmptyLabelSkip;
extern const style::FlatLabel &infoEmptyLabel;
extern const style::margins &editPeerBottomButtonsLayoutMargins;
extern const style::margins &editPeerTopButtonsLayoutMargins;
extern const int &editPeerTopButtonsLayoutSkip;
extern const int &editPeerTopButtonsLayoutSkipToBottom;
extern const int &editPeerTopButtonsLayoutSkipCustomTop;
extern const int &editPeerTopButtonsLayoutSkipCustomBottom;
extern const int &editPeerHistoryVisibilityTopSkip;
extern const style::margins &editPeerPhotoMargins;
extern const style::InputField &editPeerTitle;
extern const style::margins &editPeerTitleMargins;
extern const style::InputField &editPeerDescription;
extern const style::margins &editPeerDescriptionMargins;
extern const style::margins &editPeerPrivaciesMargins;
extern const int &editPeerPrivacyTopSkip;
extern const int &editPeerPrivacyBottomSkip;
extern const style::FlatLabel &editPeerPrivacyLabel;
extern const style::Checkbox &editPeerPrivacyBoxCheckbox;
extern const style::margins &editPeerHistoryVisibilityLabelMargins;
extern const style::margins &editPeerPrivacyLabelMargins;
extern const style::margins &editPeerPreHistoryLabelMargins;
extern const style::FlatLabel &editPeerSectionLabel;
extern const style::margins &editPeerUsernameTitleLabelMargins;
extern const style::margins &editPeerUsernameFieldMargins;
extern const style::InputField &editPeerUsername;
extern const int &editPeerUsernameSkip;
extern const style::FlatLabel &editPeerInviteLink;
extern const style::LinkButton &editPeerInviteLinkButton;
extern const style::FlatLabel &editPeerUsernameGood;
extern const style::FlatLabel &editPeerUsernameError;
extern const style::point &editPeerUsernamePosition;
extern const int &editPeerInviteLinkSkip;
extern const style::margins &editPeerInvitesMargins;
extern const int &editPeerInvitesTopSkip;
extern const int &editPeerInvitesSkip;
extern const int &editPeerInviteLinkBoxBottomSkip;
extern const style::SettingsButton &editPeerReactionsButton;
extern const int &editPeerReactionsPreview;
extern const int &editPeerReactionsIconLeft;
extern const style::IconButton &historyTopBarBack;
extern const int &topBarHeight;
extern const style::point &topBarMenuPosition;
extern const int &topBarMenuGroupCallSkip;
extern const int &topBarDuration;
extern const style::icon &topBarBackward;
extern const double &topBarForwardAlpha;
extern const style::icon &topBarBack;
extern const style::margins &topBarArrowPadding;
extern const int &topBarMinPadding;
extern const style::RoundButton &topBarButton;
extern const style::RoundButton &topBarClearButton;
extern const style::IconButton &topBarSearch;
extern const style::IconButton &topBarCloseChoose;
extern const int &topBarSkip;
extern const int &topBarCallSkip;
extern const style::IconButton &topBarMenuToggle;
extern const style::IconButton &topBarCall;
extern const style::IconButton &topBarGroupCall;
extern const style::IconButton &topBarInfo;
extern const style::icon &topBarInfoActive;
extern const int &topBarActionSkip;
extern const style::size &topBarInfoButtonSize;
extern const int &topBarInfoButtonInnerSize;
extern const style::point &topBarInfoButtonInnerPosition;
extern const style::UserpicButton &topBarInfoButton;
extern const style::FeedUserpicButton &topBarFeedInfoButton;
extern const style::point &topBarConnectingPosition;
extern const int &topBarConnectingSkip;
extern const style::InfiniteRadialAnimation &topBarConnectingAnimation;
extern const style::margins &infoFeedLeaveIconMargins;
extern const int &separatePanelBorderCacheSize;
extern const int &separatePanelTitleHeight;
extern const style::IconButton &separatePanelClose;
extern const style::font &separatePanelTitleFont;
extern const style::FlatLabel &separatePanelTitle;
extern const int &separatePanelTitleTop;
extern const int &separatePanelTitleLeft;
extern const int &separatePanelTitleSkip;
extern const style::IconButton &separatePanelBack;
extern const style::FlatInput &inviteLinkField;
extern const style::icon &inviteLinkThreeDotsIcon;
extern const style::icon &inviteLinkThreeDotsIconOver;
extern const style::IconButton &inviteLinkThreeDots;
extern const style::margins &inviteLinkFieldPadding;
extern const style::RoundButton &inviteLinkButton;
extern const style::margins &inviteLinkButtonsPadding;
extern const int &inviteLinkButtonsSkip;
extern const style::RoundButton &inviteLinkCopy;
extern const style::RoundButton &inviteLinkShare;
extern const style::RoundButton &inviteLinkReactivate;
extern const style::RoundButton &inviteLinkDelete;
extern const style::GroupCallUserpics &inviteLinkUserpics;
extern const int &inviteLinkUserpicsSkip;
extern const style::font &inviteLinkJoinedFont;
extern const style::margins &inviteLinkJoinedRowPadding;
extern const int &inviteLinkCreateSkip;
extern const style::SettingsButton &inviteLinkCreate;
extern const style::icon &inviteLinkCreateIcon;
extern const int &inviteLinkCreateIconSize;
extern const style::PeerListItem &inviteLinkListItem;
extern const style::PeerList &inviteLinkList;
extern const style::PeerList &inviteLinkAdminsList;
extern const int &inviteLinkIconSkip;
extern const int &inviteLinkIconStroke;
extern const style::icon &inviteLinkIcon;
extern const style::icon &inviteLinkRevokedIcon;
extern const int &inviteLinkThreeDotsSkip;
extern const style::margins &inviteLinkRevokedTitlePadding;
extern const style::margins &inviteLinkLimitMargin;
extern const int &inviteLinkQrPixel;
extern const int &inviteLinkQrSkip;
extern const style::margins &inviteLinkQrMargin;
extern const style::margins &inviteLinkQrValuePadding;
extern const style::FlatLabel &infoAboutGigagroup;
extern const int &infoScrollDateHideTimeout;
extern const int &infoDateFadeDuration;
extern const int &shortInfoWidth;
extern const style::margins &shortInfoLabeledPadding;
extern const style::ScrollArea &shortInfoScroll;
extern const style::ShortInfoCover &shortInfoCover;
extern const int &reportReasonTopSkip;
extern const style::SettingsButton &reportReasonButton;
} // namespace st
