// WARNING! All changes made in this file will be lost!
// Created from 'settings.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

namespace style {
namespace internal {

void init_style_settings(int scale);

} // namespace internal

struct SettingsButton;
struct SettingsSlider;
struct FlatLabel;
struct Checkbox;
struct LinkButton;
struct UserpicButton;
struct InputField;
struct MediaSlider;
struct LabelSimple;
struct ScrollArea;
struct IconButton;
struct PeerListItem;
struct PeerList;

} // namespace style

namespace st {
extern const style::SettingsButton &settingsButton;
extern const style::SettingsButton &settingsButtonNoIcon;
extern const style::SettingsButton &settingsAttentionButton;
extern const style::SettingsButton &settingsOptionDisabled;
extern const int &settingsSectionSkip;
extern const style::margins &settingsSeparatorPadding;
extern const int &settingsButtonRightSkip;
extern const style::margins &settingsScalePadding;
extern const style::margins &settingsBigScalePadding;
extern const style::SettingsSlider &settingsSlider;
extern const style::SettingsButton &settingsUpdateToggle;
extern const style::FlatLabel &settingsUpdateState;
extern const style::SettingsButton &settingsUpdate;
extern const style::point &settingsUpdateStatePosition;
extern const style::margins &settingsDividerLabelPadding;
extern const style::icon &settingsIconAccount;
extern const style::icon &settingsIconNotifications;
extern const style::icon &settingsIconChat;
extern const style::icon &settingsIconFolders;
extern const style::icon &settingsIconGeneral;
extern const style::icon &settingsIconLock;
extern const style::icon &settingsIconLanguage;
extern const style::icon &settingsIconInterfaceScale;
extern const style::icon &settingsIconFaq;
extern const style::icon &settingsIconCalls;
extern const style::icon &settingsIconAskQuestion;
extern const style::icon &settingsIconTips;
extern const style::icon &settingsIconStickers;
extern const style::icon &settingsIconEmoji;
extern const style::icon &settingsIconThemes;
extern const style::icon &settingsIconGroup;
extern const style::icon &settingsIconChannel;
extern const style::icon &settingsIconUser;
extern const style::icon &settingsIconSavedMessages;
extern const style::icon &settingsIconKey;
extern const style::icon &settingsIconReload;
extern const style::icon &settingsIconNight;
extern const style::icon &settingsIconSettings;
extern const style::icon &settingsIconArchive;
extern const style::icon &settingsIconPlus;
extern const style::icon &settingsIconMinus;
extern const style::icon &settingsIconTimer;
extern const style::icon &settingsIconLaptop;
extern const style::icon &settingsIconArrows;
extern const style::icon &settingsIconOnline;
extern const style::icon &settingsIconVideoCalls;
extern const style::icon &settingsIconEmail;
extern const style::icon &settingsIconForward;
extern const style::icon &settingsIconSound;
extern const style::icon &settingsIconDock;
extern const style::icon &settingsIconPosition;
extern const style::icon &settingsIconPin;
extern const style::icon &settingsIconDownload;
extern const style::icon &settingsIconMention;
extern const style::Checkbox &settingsCheckbox;
extern const style::margins &settingsCheckboxPadding;
extern const style::LinkButton &settingsLink;
extern const style::margins &settingsAdvancedNotificationsPadding;
extern const style::FlatLabel &settingsLinkLabel;
extern const int &settingsCheckboxesSkip;
extern const style::Checkbox &settingsSendType;
extern const style::margins &settingsSendTypePadding;
extern const int &settingsSendTypeSkip;
extern const int &settingsBackgroundThumb;
extern const int &settingsThumbSkip;
extern const style::FlatLabel &settingsSubsectionTitle;
extern const style::FlatLabel &settingsSubsectionTitleRight;
extern const style::margins &settingsSubsectionTitlePadding;
extern const style::margins &settingsBackgroundPadding;
extern const int &settingsTileSkip;
extern const int &settingsFromGalleryTop;
extern const int &settingsFromFileTop;
extern const style::Checkbox &settingsPrivacyOption;
extern const int &settingsPrivacySecurityPadding;
extern const int &settingsPrivacySkip;
extern const int &settingsPrivacySkipTop;
extern const style::FlatLabel &settingsCloudPasswordLabel;
extern const style::margins &settingsCloudPasswordLabelPadding;
extern const int &settingsInfoPhotoHeight;
extern const int &settingsInfoPhotoSize;
extern const style::UserpicButton &settingsInfoPhoto;
extern const int &settingsInfoUploadSize;
extern const style::UserpicButton &settingsInfoUpload;
extern const int &settingsInfoUploadBorder;
extern const int &settingsInfoPhotoTop;
extern const int &settingsInfoPhotoSkip;
extern const int &settingsInfoNameSkip;
extern const int &settingsInfoUploadLeft;
extern const style::InputField &settingsBio;
extern const int &settingsInfoAfterSkip;
extern const style::margins &settingsBioMargins;
extern const style::FlatLabel &settingsBioCountdown;
extern const style::FlatLabel &settingsCoverName;
extern const style::FlatLabel &settingsCoverStatus;
extern const style::margins &settingsPrivacyEditLabelPadding;
extern const int &settingsThemesTopSkip;
extern const int &settingsThemesBottomSkip;
extern const style::Checkbox &settingsTheme;
extern const style::size &settingsThemePreviewSize;
extern const style::size &settingsThemeBubbleSize;
extern const int &settingsThemeBubbleRadius;
extern const style::point &settingsThemeBubblePosition;
extern const int &settingsThemeBubbleSkip;
extern const int &settingsThemeRadioBottom;
extern const int &settingsThemeMinSkip;
extern const style::color &settingsThemeNotSupportedBg;
extern const style::icon &settingsThemeNotSupportedIcon;
extern const style::SettingsButton &autoDownloadLimitButton;
extern const style::MediaSlider &settingsAudioVolumeSlider;
extern const style::margins &settingsAudioVolumeSliderPadding;
extern const style::LabelSimple &settingsAudioVolumeLabel;
extern const style::margins &settingsAudioVolumeLabelPadding;
extern const style::margins &settingsLevelMeterPadding;
extern const int &settingsForwardPrivacyPadding;
extern const int &settingsForwardPrivacyArrowSkip;
extern const int &settingsForwardPrivacyArrowSize;
extern const style::margins &settingsForwardPrivacyTooltipPadding;
extern const int &settingsAccentColorSize;
extern const int &settingsAccentColorSkip;
extern const int &settingsAccentColorLine;
extern const int &settingsFilterIconSkip;
extern const int &settingsFilterIconLeft;
extern const style::InputField &settingsDeviceName;
extern const style::SettingsButton &dictionariesSectionButton;
extern const style::ScrollArea &sessionsScroll;
extern const int &sessionsHeight;
extern const int &sessionLocationTop;
extern const int &sessionCurrentSkip;
extern const int &sessionSubtitleSkip;
extern const style::color &sessionLocationFg;
extern const style::color &sessionInfoFg;
extern const int &sessionTerminateTop;
extern const int &sessionTerminateSkip;
extern const style::IconButton &sessionTerminate;
extern const style::icon &sessionIconWindows;
extern const style::icon &sessionIconMac;
extern const style::icon &sessionIconUbuntu;
extern const style::icon &sessionIconLinux;
extern const style::icon &sessionIconiPhone;
extern const style::icon &sessionIconiPad;
extern const style::icon &sessionIconAndroid;
extern const style::icon &sessionIconWeb;
extern const style::icon &sessionIconChrome;
extern const style::icon &sessionIconEdge;
extern const style::icon &sessionIconFirefox;
extern const style::icon &sessionIconSafari;
extern const style::icon &sessionIconOther;
extern const int &sessionBigUserpicSize;
extern const int &sessionBigLottieSize;
extern const style::icon &sessionBigIconOther;
extern const style::icon &sessionBigIconWeb;
extern const style::margins &sessionBigCoverPadding;
extern const style::FlatLabel &sessionBigName;
extern const style::FlatLabel &sessionDateLabel;
extern const int &sessionDateSkip;
extern const style::margins &sessionValuePadding;
extern const style::FlatLabel &sessionValueLabel;
extern const int &sessionValueSkip;
extern const style::PeerListItem &sessionListItem;
extern const style::PeerList &sessionList;
extern const int &settingsPhotoLeft;
extern const int &settingsPhotoTop;
extern const int &settingsPhotoBottom;
extern const int &settingsNameLeft;
extern const int &settingsNameTop;
extern const int &settingsPhoneLeft;
extern const int &settingsPhoneTop;
extern const int &settingsUsernameLeft;
extern const int &settingsUsernameTop;
extern const int &settingsPeerToPeerSkip;
extern const int &settingsIconRadius;
extern const int &settingsReactionSize;
extern const int &settingsReactionRightSkip;
extern const style::size &settingsReactionCornerSize;
extern const style::point &settingsReactionCornerSkip;
extern const int &settingsReactionMessageSize;
extern const int &settingsReactionRightIcon;
extern const style::margins &notifyPreviewMargins;
extern const int &notifyPreviewUserpicSize;
extern const style::point &notifyPreviewUserpicPosition;
extern const style::point &notifyPreviewTitlePosition;
extern const style::point &notifyPreviewTextPosition;
extern const int &notifyPreviewChecksSkip;
extern const int &notifyPreviewBottomSkip;
} // namespace st
